org.apache.solr.search.grouping.collector

## Class FilterCollector

- java.lang.Object
- - org.apache.lucene.search.FilterCollector
  - - org.apache.solr.search.grouping.collector.FilterCollector

- All Implemented Interfaces:
    Collector

      public class FilterCollector
      extends FilterCollector

  A collector that filters incoming doc ids that are not in the filter.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.FilterCollector

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterCollector(DocSet filter, Collector delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collector` | `getDelegate()` Returns the delegate collector
    `LeafCollector` | `getLeafCollector(LeafReaderContext context)`
    `int` | `getMatches()`

    - ### Methods inherited from class org.apache.lucene.search.FilterCollector

      `needsScores, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterCollector

          public FilterCollector(DocSet filter,
                                 Collector delegate)

  - ### Method Detail

    - #### getLeafCollector

          public LeafCollector getLeafCollector(LeafReaderContext context)
                                         throws IOException

      Specified by:
        `getLeafCollector` in interface `Collector`
      Overrides:
        `getLeafCollector` in class `FilterCollector`
      Throws:
        `IOException`

    - #### getMatches

          public int getMatches()

    - #### getDelegate

          public Collector getDelegate()

      Returns the delegate collector
      Returns:
        the delegate collector

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.